> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/pfl/fight-details-scenarios/undos-insertions.md).

# Undos

## Undos

Undos are events that undo previous events that have happened in the fight. They can undo events that have just happened (i.e. in-sequence) or undo events that have happened previously (i.e out of sequence). RoundTime field is added to Undo packets that undo "RoundPaused" / "RoundUnpaused" / "RoundFinished". Note, that Undo of all other actions will not have "RoundTime" field.

### **Undo Object**

| Field Name            | Type    | Description                                                                        |
| --------------------- | ------- | ---------------------------------------------------------------------------------- |
| timestamp             | time    | the time at which the fight started                                                |
| roundTime             | time    | The time in the round in which the Undo is being inserted                          |
| eventElementType      | string  | The event, in this case, always “Undo”                                             |
| seqNum                | integer | the sequence number of the event                                                   |
| eventUndoneIdentifier | object  | contains the seqNum of the event that was undone, so you can identify what to undo |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner per fighter. If the undo affects a fighter action, the stats will change to reflect this.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

### **Sample Response**

```
{
  "eventElementType": "Undo",
  "eventUndoneIdentifier": {
    "seqNum": 8
  },
  "seqNum": 13,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      },
      "red": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 2,
        "takedownAttempt": 1,
        "takedownLanded": 0
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 2,
          "takedownAttempt": 1,
          "takedownLanded": 0
        }
      }
    }
  },
  "timestamp": "2024-11-09T22:08:53.702290Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/pfl/fight-details-scenarios/undos-insertions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
